-- the obstacles were supposed to be actual obstacles, but made the game impossible to play
-- so they just became scenery
Obstacle = {
	width = 16;
	height = 16;
}

function Obstacle:init(x, y)
	self.x = x
	self.y = y
	self.image = math.random(2) == 1 and Images.crate or Images.barrel
end

function Obstacle:update(dt)
	self.x = self.x - TRACK_SPEED * dt
end

function Obstacle:draw()
	love.graphics.draw(self.image, self.x, self.y)
end

-- this however is an actual obstacle, so it goes here
Boulder = {
	radius = 16;
	angle = 0;
	weight = 0.2;
}

function Boulder:init(x, y)
	Physics.implement(self, x, y, self.radius, self.radius)
	self.active = false
end

function Boulder:update(dt)
	Physics.update(self, dt)
	self.angle = self.angle + math.pi * dt * 6
end

function Boulder:draw()
	local img = Images.boulder
	love.graphics.draw(img,
		self.x + self.width / 2, self.y + self.height / 2,
		self.angle, 1, 1,
		img:getWidth() / 2, img:getHeight() / 2)
end
