Resources = {}

function Resources:load()
	love.graphics.setDefaultFilter('linear', 'nearest')

	Images = {
		player = "resources/player.png";
		track = "resources/track.png";
		gold = "resources/gold.png";
		crate = "resources/crate.png";
		barrel = "resources/barrel.png";
		boulder = "resources/boulder.png";
		arrow = "resources/arrow.png";

		platform = "resources/platform.png";
		beam = "resources/beam.png";
		cavebg = "resources/cavebg.png";
		cavefg = "resources/cavefg.png";
	}

	Sounds = {
		jump = "resources/jump.wav";
		coin = "resources/coin.wav";
		death = "resources/died.wav";
		trackhit = "resources/track-land.wav";
		trackroll = "resources/track-roll.wav";
	}

	Fonts = {
		main = love.graphics.newFont("resources/prstartk.ttf", 8);
		numbers = love.graphics.newImageFont("resources/numbers.png", "0123456789");
	}

	for name, path in pairs(Images) do
		Images[name] = love.graphics.newImage(path)
		Images[name]:setWrap("repeat", "repeat")
	end

	for name, path in pairs(Sounds) do
		Sounds[name] = love.audio.newSource(path, "static")
	end

	local music = love.audio.newSource("resources/music.ogg")
	music:setVolume(0.5)
	music:setLooping(true)
	music:play()
end

function Resources:playSound(sound)
	sound:stop()
	sound:play()
end
