Scenery = {}

local cavebgQuad, caveTop, caveBottom

local function parallax(multiplier)
	return GAME_TIME * (multiplier or 1)
end

function Scenery:load()
	local cavebg = Images.cavebg
	local cavefg = Images.cavefg

	cavebgQuad = love.graphics.newQuad(0, 0,
		Window.width + cavebg:getWidth(), Window.height,
		cavebg:getDimensions())

	caveTop = love.graphics.newQuad(0, 0,
		Window.width + cavefg:getWidth(), 16,
		cavefg:getDimensions())

	caveBottom = love.graphics.newQuad(0, 16,
		Window.width + cavefg:getWidth(), 16,
		cavefg:getDimensions())
end

function Scenery:drawBackground()
	love.graphics.setColor(BG_DARKNESS, BG_DARKNESS, BG_DARKNESS)
	love.graphics.draw(Images.cavebg, cavebgQuad, -(parallax(100) % Images.cavebg:getWidth()))
	love.graphics.setColor(255, 255, 255)
end

function Scenery:drawForeground()
	love.graphics.draw(Images.cavefg, caveTop, -(parallax(300) % Images.cavefg:getWidth()), 0)
	love.graphics.draw(Images.cavefg, caveBottom, -(parallax(300) % Images.cavefg:getWidth()), Window.height - 16)
end
