Window = {}

local shake = 0
local shakeIntensity = 4

local function rsign()
	return math.random() > 0.5 and 1 or -1
end

local function getShake()
	return shake * shakeIntensity * math.random() * rsign() * Window.scale
end

function Window:shake(n)
	shake = n or 1
end

function Window:dimensions()
	return self.width, self.height
end


function Window:init(title, width, height, scale)
	self.width = width
	self.height = height
	self.scale = scale
	love.window.setMode(width * scale, height * scale)
	love.window.setTitle(title)
	love.window.setIcon(love.image.newImageData("resources/icon.png"))
end

function Window:update(dt)
	shake = shake - dt * 4
	if shake < 0 then
		shake = 0
	end
end

function Window:draw(func)
	love.graphics.push()
	love.graphics.translate(getShake(), getShake())
	love.graphics.scale(self.scale)
	func()
	love.graphics.pop()
end

return Window
